Category: Vanilla emulation

Target version: Vanilla / Gameplay

Description

Various bugs on Zclipping, cross posted from the forum as requested:
http://www.dengine.net/forums/viewtopic.php?f=24&t=1445&p=94638#p9463

Bug 1: the Doom Guy mobjs passmobj flag over-rules the zclip cvar, meaning setting it to 0 has no effect on him. The passmobj flag
was added to the doom guy mobj in dday, when the doom plugin got heretic's mobj flags added to it previously, Doom Guy did not
have this flag.

Bug 2: if Doom Guy falls on a scenery mobj (possible if Zclip is set to 1 or he has the passmobj flag), he falls through it, instead of
landing on top of it. He then becomes stuck and unable to move. If Doom Guy lands on a monster, he doesn't fall through them.

Heretic seems not to have this bug.
Bug 3: The Dday exclusive 3d movement option (under gameplay menu), which allows flying bad guys to both fly over other mobjs
ala Vanilla Heretic and also raise over other mobjs (not something flyers could do in vanilla Heretic) doesn't work right in Doom. In

heretic, it appears to work fine.

Bug 4: In Heretic, if you stand on a mobj with a hit box that is partially embedded in a wall, you can clip through the wall up to the
edge of the mobjs radius.

This bug existed in HeXen in 1.9.7 but was fixed in the candidate phase for that release.
Unrelated note; the various Zclip options are a bit of a mess in Doom:

In Doom, I'd expect setting Zclip to 1, to also affect monsters, but it only affects the player. | have to turn on 3d movement to get Zclip
1 like behaviour for monsters, which also means | have to accept flying monsters also raising over each other.

It would be cool if Zclip 0/1 imitated Vanilla Doom and Vanilla Heretic respectively. The 3D movement feature would then simply
allow flying bad guys to raise over each other (call it Zclip 2 if you will)."

Labels: Zclipping

History

#1 - 2013-07-27 03:45 - danij
- Priority: 1 -->5

#2 - 2013-07-31 03:35 - vermil

That said, I've just tested the example | used for HeXen in 1.9.7 (the barrels at the bottom of sector 48 on HeXen DK's Dark Watch, Map17) and
unfortunately, there still appears to be a slight, though different issue with jumping on those barrels.

If the player jumps onto and lands on the edge of the left most barrel (in line with vertex 778 right next to them), they become unable to slide along the
straight wall (I am aware that Dday currently has some issues with sliding along non-straight walls). The player has to turn away from the wall to be
able to move.

Apologies for the un-technical description of this one.

#3 - 2013-08-05 22:41 - vermil

Another little Z related thing. In Dday when a flying bad guy kills the player, it instantly jumps down to the floor, instead of staying at the height it was
when it landed the killing blow.

#4 - 2013-10-19 12:10 - skyjake
http://www.dengine.net/forums/viewtopic.php?f=24&t=1445&p=9463&#p9463

- Target version deleted (1.11)

#5 - 2013-10-22 17:07 - skyjake
- Tags set to Gameplay, PlaySim
- Subject changed from Various Zclipping bugs to Various mobj Z movement clipping bugs

- Category set to Vanilla emulation

#6 - 2014-06-14 12:35 - vermil
- File hexen-000.png added

"That said, I've just tested the example | used for HeXen in 1.9.7 (the barrels at the bottom of sector 48 on HeXen DK's Dark Watch, Map17) and
unfortunately, there still appears to be a slight, though different issue with jumping on those barrels."

Please see the attached image for a better example of what | mean; similar setup in a HeXen pwad, where me jumping while standing on a bush has
allowed me to partially clip into the void.

#7 - 2015-05-11 11:58 - vermil

I've now observed bug 2 happening in HeXen with bad guys walking off ledges into scenery items and then becoming stuck in them; | recall this bug
existing in Heretic a long time ago with bad guys that could walk off ledges of any height (Maulotaur and D'sparil on foot) and apparently it was fixed.

#8 - 2017-04-03 14:40 - skyjake

- Target version set to Modding

#9 - 2019-11-29 22:58 - skyjake

- Target version changed from Modding to Vanilla/ Gameplay
